> ## Documentation Index
> Fetch the complete documentation index at: https://studio-docs.prem.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Dataset

> Check dataset status and datapoint counts.



## OpenAPI

````yaml GET /api/v1/public/datasets/{datasetId}
openapi: 3.1.0
info:
  version: 0.0.1
  title: Prem Studio API
  description: Studio autofinetuning agent API
servers:
  - url: http://studio.premai.io
    description: Current environment
  - url: https://studio.premai.io
    description: Production server
security:
  - bearerAuth: []
paths:
  /api/v1/public/datasets/{datasetId}:
    get:
      tags:
        - Public Datasets
      description: Get dataset status
      operationId: datasets.get
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: datasetId
          in: path
      responses:
        '200':
          description: Dataset details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDatasetResponse'
        '404':
          description: Dataset not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetDatasetResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
        project_id:
          type: string
          nullable: true
          format: uuid
        name:
          type: string
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        datapoints_count:
          type: integer
        created_at:
          type: string
        updated_at:
          type: string
        snapshots:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              created_at:
                type: string
            required:
              - id
              - created_at
          description: List of snapshots associated with the dataset
        labels:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                format: uuid
              name:
                type: string
              description:
                type: string
                nullable: true
            required:
              - id
              - name
              - description
          description: List of labels associated with the dataset
      required:
        - id
        - project_id
        - name
        - status
        - datapoints_count
        - created_at
        - updated_at
        - snapshots
        - labels
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````